Package org.apache.ignite.internal.management.performancestatistics

## Class PerformanceStatisticsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<IgniteDataTransferObject,​String>
    - - org.apache.ignite.internal.management.performancestatistics.PerformanceStatisticsTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<IgniteDataTransferObject>,​VisorTaskResult<String>>`

    @GridInternal
    public class PerformanceStatisticsTask
    extends VisorOneNodeTask<IgniteDataTransferObject,​String>

Represents visor task to manage performance statistics.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `STATUS_DISABLED` Performance statistics disabled status.
`static String` `STATUS_ENABLED` Performance statistics enabled status.

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`PerformanceStatisticsTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<IgniteDataTransferObject,​String>` `job​(IgniteDataTransferObject arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATUS_ENABLED

    public static final String STATUS_ENABLED

Performance statistics enabled status.

See Also:
  Constant Field Values

#### STATUS_DISABLED

    public static final String STATUS_DISABLED

Performance statistics disabled status.

See Also:
  Constant Field Values

### Constructor Detail

#### PerformanceStatisticsTask

    public PerformanceStatisticsTask()

### Method Detail

#### job

    protected VisorJob<IgniteDataTransferObject,​String> job​(IgniteDataTransferObject arg)

Specified by:
  `job` in class `VisorMultiNodeTask<IgniteDataTransferObject,​String,​String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.